add_alert Important: Content API for Shopping will be sunset on August 18, 2026.
Method: accounts.homepage.updateHomepage
Stay organized with collections
Save and categorize content based on your preferences.
Updates a store's homepage. Executing this method requires admin access.
HTTP request
PATCH https://merchantapi.googleapis.com/accounts/v1beta/{homepage.name=accounts/*/homepage}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
homepage.name |
string
Identifier. The resource name of the store's homepage. Format: accounts/{account}/homepage
|
Query parameters
| Parameters |
updateMask |
string (FieldMask format)
Optional. List of fields being updated. The following fields are supported (in both snake_case and lowerCamelCase):
|
Request body
The request body contains an instance of Homepage.
Response body
If successful, the response body contains an instance of Homepage.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2025-02-25 UTC.
[null,null,["Last updated 2025-02-25 UTC."],[],["This describes updating a store's homepage via a PATCH request to a specific URL: `https://merchantapi.googleapis.com/accounts/v1beta/{homepage.name=accounts/*/homepage}`. The `homepage.name` path parameter is required, formatted as `accounts/{account}/homepage`. An optional `updateMask` query parameter specifies fields to update. The request and response bodies are `Homepage` instances. Admin access and the `https://www.googleapis.com/auth/content` OAuth scope are required. The method utilizes gRPC Transcoding.\n"]]